#!/bin/bash -l
set -e   # Stop on error

# Enter your calculated value for the minimal lattice constant 
aMin=*.*
# Enter your calculated value for the maximal lattice constant
aMax=*.*
# Enter a value for the stepwidth
step=0.*

echo "# lattice constants in AA, energies in eV" >energies.dat
for A in $(seq $aMin $step $aMax); do
    # Check for convergence of calculation.
    if (! grep --quiet "Self-consistency cycle converged." \
            <$A/aims.out) || \
       (! grep --quiet "Have a nice day." \
            <$A/aims.out); then
        echo "`pwd`/$A/aims.out did not converge!"
    fi
    # Get 6th column from the line with "Total energy corr".
    E=$(gawk '/Total energy corr/ {print $6}' $A/aims.out)
    # Write results to data file.
    echo "$A  $E" >>energies.dat
done
